<?php
  echo "Nombre à convertir (base 10) : ";
  fscanf(STDIN,"%d",$nb)                ;
  echo "Base de conversion : " ;
  fscanf(STDIN,"%d",$base)     ;
  $nb_initial = $nb ; 
  $diviseur = $base ;
  $affichage=''     ;
  $quotient = -1    ;
  while ($quotient != 0)
  {
    $reste    = $nb % $diviseur ;
    $quotient = ($nb-$reste) / $diviseur ;
    // --- Evolution prochaine iteration ---   
    $nb       = $quotient      ;

    // --- Mise en forme du résultat ---
    if (($reste >= 0) && ($reste <= 9))
        $lettre = chr($reste+48) ;
    else
        $lettre = chr($reste+55) ;        
    $affichage = $lettre.$affichage;
  }
  echo "$nb_initial en base $base = $affichage".PHP_EOL;
?>
